Qt API | Qtopia API | Qtopia Documentation |

# DeviceButton Class Reference

The DeviceButton class represents a physical user mappable button on a Qtopia device. More...

`#include <qtopia/devicebutton.h>`

List of all member functions.

## Public Members

- DeviceButton ()
- virtual ~DeviceButton ()
- ushort keycode () const
- QString userText () const
- QPixmap pixmap () const
- ServiceRequest pressedAction () const
- ServiceRequest heldAction () const
- void setKeycode ( ushort keycode )
- void setUserText ( const QString & text )
- void setPixmap ( const QString & pmn )
- void setPressedAction ( const ServiceRequest & action )
- void setHeldAction ( const ServiceRequest & action )
- bool operator== ( const DeviceButton & e ) const

## Detailed Description

The DeviceButton class represents a physical user mappable button on a Qtopia device.

This class represents a physical button on a Qtopia device. A device may have "user programmable" buttons. The location and number of buttons will vary from device to device. userText() and pixmap() may be used to describe this button to the user in help documentation.

See also Qtopia Classes.

## Member Function Documentation

### DeviceButton::DeviceButton ()

Constructs DeviceButton.

### DeviceButton::~DeviceButton ()`[virtual]`

Destructs DeviceButton.

### ServiceRequest DeviceButton::heldAction () const

Returns the user assigned action for when this button is pressed and held.

### ushort DeviceButton::keycode () const

Returns the button's keycode.

### bool DeviceButton::operator== ( const DeviceButton & e ) const

Returns TRUE if this DeviceButton is equal to e.

### QPixmap DeviceButton::pixmap () const

Returns the pixmap for this button. If there isn't one it will return an empty (null) pixmap.

### ServiceRequest DeviceButton::pressedAction () const

Returns the user assigned action for when this button is pressed.

### void DeviceButton::setHeldAction ( const ServiceRequest & action )

Set the action to be performed when this button is pressed and held to action.

### void DeviceButton::setKeycode ( ushort keycode )

Sets the keycode keycode that is set when the button is pressed.

### void DeviceButton::setPixmap ( const QString & pmn )

Set the pixmap for this button. This will ideally match the label on the physical button.

### void DeviceButton::setPressedAction ( const ServiceRequest & action )

Set the action to be performed when this button is pressed to action.

### void DeviceButton::setUserText ( const QString & text )

Sets the human readable, translated description of the button.

### QString DeviceButton::userText () const

Returns a human readable, translated description of the button.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.